<?php
/**
 * Created by PhpStorm.
 * User: Jimy
 * Date: 2019/4/18
 * Time: 13:59
 */
namespace App\Models;
use Illuminate\Support\Facades\DB;
class Stbqresult extends BaseModel {
    protected $table = "st_bq_result";
    public $timestamps = false;

    function getinfo($list = 10, $page, $where = '',$orwhere = '',$if_order)
    {
        $match_ids = \App\Models\MoneyBuyMatch::select('match_id')->where('game_code','bq')->get()->toArray();
        $match_ids = array_column($match_ids,'match_id');
        //去重
        $match_ids = array_unique($match_ids);

        if($if_order == 1){
            if (is_array ($where) && count ($where) > 0) {
                $data = $this->join('st_bq_league','st_bq_result.lg_id','=','st_bq_league.id')->join('st_bq_competition','st_bq_competition.id','=','st_bq_result.match_id')->select($this->table.'.id',$this->table.'.home_team',$this->table.'.guest_team',$this->table.'.match_id','st_bq_result.guest_team','st_bq_result.home_rate','st_bq_result.guest_rate','st_bq_result.first_score','st_bq_competition.status','st_bq_result.last_score','st_bq_result.match_score','st_bq_result.match_winer','st_bq_result.update_time','st_bq_competition.match_time','st_bq_result.match_process',$this->table.'.home_score',$this->table.'.guest_score',$this->table.'.u_guest_score',$this->table.'.u_home_score',$this->table.'.start_time',$this->table.'.manual_result','st_bq_league.name_chinese as saisname')->orderby('st_bq_result.id','desc')->where($where)->wherein('st_bq_competition.id',$match_ids)->paginate ($list);
            } else {
                $data = $this->join('st_bq_league','st_bq_result.lg_id','=','st_bq_league.id')->join('st_bq_competition','st_bq_competition.id','=','st_bq_result.match_id')->select($this->table.'.id',$this->table.'.home_team',$this->table.'.guest_team',$this->table.'.match_id','st_bq_result.guest_team','st_bq_result.home_rate','st_bq_result.guest_rate','st_bq_result.first_score','st_bq_competition.status','st_bq_result.last_score','st_bq_result.match_score','st_bq_result.match_winer','st_bq_result.update_time','st_bq_competition.match_time','st_bq_result.match_process',$this->table.'.home_score',$this->table.'.guest_score',$this->table.'.u_guest_score',$this->table.'.u_home_score',$this->table.'.start_time',$this->table.'.manual_result','st_bq_league.name_chinese as saisname')->orderby('st_bq_result.id','desc')->wherein('st_bq_competition.id',$match_ids)->paginate ($list);
            }
        }else{
            if (is_array ($where) && count ($where) > 0) {
                $data = $this->join('st_bq_league','st_bq_result.lg_id','=','st_bq_league.id')->join('st_bq_competition','st_bq_competition.id','=','st_bq_result.match_id')->select($this->table.'.id',$this->table.'.home_team',$this->table.'.guest_team',$this->table.'.match_id','st_bq_result.guest_team','st_bq_result.home_rate','st_bq_result.guest_rate','st_bq_result.first_score','st_bq_competition.status','st_bq_result.last_score','st_bq_result.match_score','st_bq_result.match_winer','st_bq_result.update_time','st_bq_competition.match_time','st_bq_result.match_process',$this->table.'.home_score',$this->table.'.guest_score',$this->table.'.u_guest_score',$this->table.'.u_home_score',$this->table.'.start_time',$this->table.'.manual_result','st_bq_league.name_chinese as saisname')->orderby('st_bq_result.id','desc')->where($where)->paginate ($list);
            } else {
                $data = $this->join('st_bq_league','st_bq_result.lg_id','=','st_bq_league.id')->join('st_bq_competition','st_bq_competition.id','=','st_bq_result.match_id')->select($this->table.'.id',$this->table.'.home_team',$this->table.'.guest_team',$this->table.'.match_id','st_bq_result.guest_team','st_bq_result.home_rate','st_bq_result.guest_rate','st_bq_result.first_score','st_bq_competition.status','st_bq_result.last_score','st_bq_result.match_score','st_bq_result.match_winer','st_bq_result.update_time','st_bq_competition.match_time','st_bq_result.match_process',$this->table.'.home_score',$this->table.'.guest_score',$this->table.'.u_guest_score',$this->table.'.u_home_score',$this->table.'.start_time',$this->table.'.manual_result','st_bq_league.name_chinese as saisname')->orderby('st_bq_result.id','desc')->paginate ($list);
            }
        }


        $newsim = new \App\Models\SportsNoteList();
        $simplex = $newsim->getsim('bq');
        $newstr = new \App\Models\MoneyBuyStr();
        $str = $newstr->strmatchs('bq');
        //print_r($str);exit;
        for ($i=0; $i < count($data); $i++) {
            $data[$i]->numsim = 0;
            for ($j=0; $j < count($simplex); $j++) {
                if($simplex[$j]['match_id'] == $data[$i]->match_id){
                    $data[$i]->numsim = $data[$i]->numsim+1;
                }
            }
            $data[$i]->numstr = 0;
            for ($a=0; $a < count($str); $a++) {
                if(in_array($data[$i]->match_id,$str[$a]['match_ids'])){
                    $data[$i]->numstr = $data[$i]->numstr+1;
                }
            }

            $data[$i]->manual_result = json_decode($data[$i]->manual_result,true);

        }

        return $data->toArray ();
    }

    //查询赛事
    function matchjg($match_id){
        $data = $this->where('match_id',$match_id)->select('id','home_team','guest_team')->first();
        if (!$data) {
            return -5040000102; //无相关信息
        }
        return $data->toArray();
    }

    //更新状态
    function updatestatus($field,$where,$data){
        $res=$this->where($field,$where)->update($data);
        if(!$res) {
            return -7020050022;//更新失败
        }
        return 1;
    } 
 
    //更新
    function updateInfo($data, $match_id)
    {
        $res = $this->where ('match_id', $match_id)->update ($data);
        if (!$res) {
            return -7010101202; //更新失败
        }
        return 1;
    }

}